GET
/
v2
/
agent
/
threads
/
{thread_id}
Get persisted assistant thread metadata
curl --request GET \
  --url https://api-v2.watchcollect.com/v2/agent/threads/{thread_id} \
  --header 'Authorization: Bearer <token>'
{
  "remoteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAtMs": 123,
  "updatedAtMs": 123,
  "externalId": "<string>",
  "title": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

thread_id
string<uuid>
required

Response

Thread metadata.

remoteId
string<uuid>
required
status
enum<string>
required
Available options:
regular,
archived
createdAtMs
integer<int64>
required
updatedAtMs
integer<int64>
required
externalId
string | null
title
string | null